use strict;
use Test::More;
use Message::Passing::Output::Syslog;
use Try::Tiny;

my $syslog = try { Message::Passing::Output::Syslog->new() }
    catch { fail "Failed to construct $_" };
ok $syslog;

try { $syslog->consume('message') }
    catch { fail "Failed to consume message: $_" };

try { $syslog->consume({ message => 'foo' }) }
    catch { fail "Failed to consume message: $_" };

done_testing;
